> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/common-concepts/field-aliases.md).

# Field aliases

Use aliases to query the same type of entity collections more than once and make a distinction between them, for example, assets with their definitions and descriptive examples. Both of them are **stringAttributes** so it might not be obvious at first sight which response part belongs to which attribute. Using aliases makes the response easier to read as you don't need to look at the type returned by each node and can even skip it:

<table data-header-hidden><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><pre><code>query {
    assets(where: {id: {eq: "c500633c-2c1a-4990-afcd-274cbde93500"}}) {
        definitions: stringAttributes(where: {
            type: {publicId: {eq: "Definition"} }
        }) {
            stringValue
        }
        examples: stringAttributes(where: {
            type: {publicId: {eq: "DescriptiveExample"} }
        }) {
            stringValue
        }
    }
}
</code></pre></td><td><pre><code>{
  "data": {
    "assets": [
      {
        "id": "c500633c-2c1a-4990-afcd-274cbde93500",
        "definitions": [
          {
            "stringValue": "definition"
          }
        ],
        "examples": [
          {
            "stringValue": "example"
          }
        ]
      }
    ]
  }
}
</code></pre></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/common-concepts/field-aliases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
